Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86604 - New sendmail root exploit
Summary: New sendmail root exploit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sendmail
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 11:08 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-01 07:49:11 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2003-03-26 11:08:29 UTC
There is a vulnerability in Sendmail versions 8.12.8 and prior. The
address parser performs insufficient bounds checking in certain conditions
due to a char to int conversion, making it possible for an attacker to
take control of the application. Although no exploit currently exists,
this issue is probably locally exploitable and may be remotely exploitable.

Not public before April 14

Comment 1 Mark J. Cox 2003-03-30 09:43:46 UTC
Just to update bug, became public on Mar30 through full-disclosure list

Comment 2 Mark J. Cox 2003-04-01 07:49:11 UTC
Fixed by RHSA-2003:121


Note You need to log in before you can comment on or make changes to this bug.